<?php

namespace Intergo\MessageClient;

use Intergo\BaseClient\ApiHandler;
use Intergo\BaseClient\Enums\HttpMethodEnum;

class MessageApiHandler extends ApiHandler
{
    protected static array $endpoints = [
        'updateUserSettingsV2' => [self::METHOD => HttpMethodEnum::POST, self::URL => '/user/:user_id/settings/update', self::INTERNAL => true],
        'updateViberSettings' => [self::METHOD => HttpMethodEnum::POST, self::URL => '/user/:user_id/settings/viber/update', self::INTERNAL => true],
        'invalidateUserLists' => [self::METHOD => HttpMethodEnum::POST, self::URL => '/user/:user_id/lists/invalidate', self::INTERNAL => true],
        'getUserSettings' => [self::METHOD => HttpMethodEnum::GET, self::URL => '/user/:user_id/settings', self::INTERNAL => true],
        'updateNetwork' => [self::METHOD => HttpMethodEnum::POST, self::URL => '/network/:id/update', self::INTERNAL => true],
        'updateStatusMessageFromProvider' => [self::METHOD => HttpMethodEnum::POST, self::URL => '/manager/message/:message_id/status', self::INTERNAL => true],
        'updateStatusMessageMassFromProvider' => [self::METHOD => HttpMethodEnum::POST, self::URL => '/manager/messages/status', self::INTERNAL_SECURE => true],

        'getProviderErrorCodes' => [self::METHOD => HttpMethodEnum::GET, self::URL => '/manager/provider-error-codes', self::INTERNAL_SECURE => true],
        'getProviderErrorCode' => [self::METHOD => HttpMethodEnum::GET, self::URL => '/manager/provider-error-codes/:id', self::INTERNAL_SECURE => true],
        'createProviderErrorCode' => [self::METHOD => HttpMethodEnum::POST, self::URL => '/manager/provider-error-codes', self::INTERNAL_SECURE => true],
        'updateProviderErrorCode' => [self::METHOD => HttpMethodEnum::PUT, self::URL => '/manager/provider-error-codes/:id', self::INTERNAL_SECURE => true],
        'deleteProviderErrorCode' => [self::METHOD => HttpMethodEnum::DELETE, self::URL => '/manager/provider-error-codes/:id', self::INTERNAL_SECURE => true],
    ];
}
